Subject: bug#17370: closed (python-shell-internal-send-string can hang if you change your python prompt)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 19 Jul 2014 13:29:03 +0000

Your bug report

#17370: python-shell-internal-send-string can hang if you change your python prompt

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
17370: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=17370
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: python-shell-internal-send-string can hang if you change your python prompt
From: [email-masked] (Fabián Ezequiel Gallina)
To: [email-masked]
Date: Sat, 19 Jul 2014 10:28:31 -0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Fixed in the emacs-24 branch at revno 117387.

Cheers,
Fabián

Subject: 24.3.90; user cannot disable inferior python run from python-mode when file is visited
From: Andy Moreton <[email-masked]>
To: [email-masked]
Date: Tue, 29 Apr 2014 13:11:25 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Load a file containing python code, in a file with extension ".py". This
will use python-mode as the major mode, which immediately runs an
inferior python executable.

I did not ask for a python interpreter, and do not want one running - I
just want to visit a file containing python code. There is not any
obvious way of disabling this behaviour.

Emacs should not run an arbitrary executable without explicit user
configuration to enable it.

In GNU Emacs 24.3.90.7 (i686-pc-mingw32)
  of 2014-04-29 on AJM-DESKTOP
Repository revision: 117027 
[email-masked]
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
  `configure --prefix=/c/emacs-emacs-24
  --with-pkg-config-prog=/c/emacs/mingw-devel/pkg-config-0.26-1/bin/pkg-config.exe
  --enable-checking PKG_CONFIG_PATH=/c/emacs/mingw-devel/lib/pkgconfig
  'CPPFLAGS= -I/c/emacs/mingw-devel/include
  -I/c/emacs/mingw-devel/src/xpm/3.5.1/libXpm-3.5.1-src/lib' 'CFLAGS= -O0
  -g3' 'LDFLAGS= -L/c/emacs/mingw-devel/lib''